#
# spec file for package ocaml-menhir
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-menhir
Version:        20231231
Release:        1.6
%{?ocaml_preserve_bytecode}
Summary:        LR(1) parser generator for the OCaml programming language
License:        LGPL-2.0
Group:          Development/Languages/OCaml
Url:            https://opam.ocaml.org/packages/menhir
Source0:        %name-%version.tar.xz
BuildRequires:  time
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.8
BuildRequires:  ocaml-rpm-macros >= 20231101
BuildRequires:  ocamlfind(unix)

%description
LR(1) parser generator

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='menhir,menhirLib,menhirSdk'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ifarch x86_64
%else
dune_test_tolerate_fail='dune_test_tolerate_fail bitsize'
%endif
%ocaml_dune_test

%files -f %name.files
%_bindir/*
%_mandir/*/*

%files devel -f %name.files.devel

%changelog
* Fri Jan  5 2024 ohering@suse.de
- Update to version 20231231
* Fri May  5 2023 ohering@suse.de
- Update to version 20230415
* Mon Apr  4 2022 ohering@suse.de
- Update to version 20220210
* Wed Dec 15 2021 ohering@suse.de
- Update to version 20211215
* Sun Oct 10 2021 ohering@suse.de
- Update to version 20211012
* Fri Apr  9 2021 ohering@suse.de
- Update to version 20210310
* Sat Feb 29 2020 ohering@suse.de
- update version 20200211, with _service file
- Require dune 2.0+
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 olaf@aepfle.de
- Update to version 20170712
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Tue May 24 2016 olaf@aepfle.de
- Initial version 20160504 for coccinelle
